> For the complete documentation index, see [llms.txt](https://docs.mews.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mews.com/connector-api/operations/exchangerates.md).

# Exchange rates

## Get all exchange rates

Returns all available exchange rates among currencies of the [Enterprise](https://docs.mews.com/connector-api/operations/configuration.md#enterprise).

### Request

`[PlatformAddress]/api/connector/v1/exchangeRates/getAll`

```javascript
{
  "ClientToken": "E0D439EE522F44368DC78E1BFB03710C-D24FB11DBE31D4621C4817E028D9E1D",
  "AccessToken": "C66EF7B239D24632943D115EDE9CB810-EA00F8FD8294692C940F6B5A8F9453D",
  "Client": "Sample Client 1.0.0"
}
```

| Property        | Type            | Contract | Description                                                                                                                                                                                                                           |
| --------------- | --------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `ClientToken`   | string          | required | Token identifying the client application.                                                                                                                                                                                             |
| `AccessToken`   | string          | required | Access token of the client application.                                                                                                                                                                                               |
| `Client`        | string          | required | Name and version of the client application.                                                                                                                                                                                           |
| `Ids`           | array of string | optional | Unique identifiers of the Exchange Rates. If not specified, the operation returns all exchange rates.                                                                                                                                 |
| `EnterpriseIds` | array of string | optional | Unique identifiers of the [Enterprises](https://docs.mews.com/connector-api/operations/configuration.md#enterprise). If not specified, the operation returns the exchange rates for all enterprises within scope of the Access Token. |

### Response

```javascript
{
  "ExchangeRates": [
    {
      "SourceCurrency": "EUR",
      "TargetCurrency": "GBP",
      "Value": 0.8505342
    },
    {
      "SourceCurrency": "GBP",
      "TargetCurrency": "EUR",
      "Value": 1.1757317
    }
  ]
}
```

| Property        | Type                                     | Contract | Description                   |
| --------------- | ---------------------------------------- | -------- | ----------------------------- |
| `ExchangeRates` | array of [Exchange rate](#exchange-rate) | required | The available exchange rates. |

#### Exchange rate

| Property         | Type   | Contract | Description                                                                                                                                           |
| ---------------- | ------ | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Id`             | string | required | Unique identifier of the Exchange Rate.                                                                                                               |
| `EnterpriseId`   | string | required | Unique identifier of the [Enterprise](https://docs.mews.com/connector-api/operations/configuration.md#enterprise) to which the Exchange Rate belongs. |
| `SourceCurrency` | string | required | ISO-4217 code of the source [Currency](https://docs.mews.com/connector-api/operations/currencies.md#currency).                                        |
| `TargetCurrency` | string | required | ISO-4217 code of the target [Currency](https://docs.mews.com/connector-api/operations/currencies.md#currency).                                        |
| `Value`          | number | required | The exchange rate from the source currency to the target currency.                                                                                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mews.com/connector-api/operations/exchangerates.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
